M_ActivitySummerCollectingCFG = {}

function M_ActivitySummerCollectingCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivitySummerCollectingCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, CollectingType = 1, CollectingReward = {1,312,5,54}, CollectingQuantity = {500000,2,10,1}, CollectingQuantityAdd = {}}
	self.datas[2] = {ID = 2, CollectingType = 2, CollectingReward = {1,312,5,16}, CollectingQuantity = {2500000,3,20,150}, CollectingQuantityAdd = {}}
	self.datas[3] = {ID = 3, CollectingType = 3, CollectingReward = {1,312,17,25}, CollectingQuantity = {6000000,5,30,1}, CollectingQuantityAdd = {}}
	self.datas[4] = {ID = 4, CollectingType = 4, CollectingReward = {96,312,17}, CollectingQuantity = {1,45,200}, CollectingQuantityAdd = {0,5,0}}
end

M_ActivitySummerCollectingCFG:init()
